# The Authorization object

### The Authorization object

```json
{
  "id": "iauth_1JVXl82eZvKYlo2CPIiWlzrn",
  "object": "issuing.authorization",
  "amount": 382,
  "amount_details": {
    "atm_fee": null
  },
  "approved": false,
  "authorization_method": "online",
  "balance_transactions": [],
  "card": {
    "id": "ic_1JDmgz2eZvKYlo2CRXlTsXj6",
    "object": "issuing.card",
    "brand": "Visa",
    "cancellation_reason": null,
    "cardholder": {
      "id": "ich_1JDmfb2eZvKYlo2CwHUgaAxU",
      "object": "issuing.cardholder",
      "billing": {
        "address": {
          "city": "San Francisco",
          "country": "US",
          "line1": "123 Main Street",
          "line2": null,
          "postal_code": "94111",
          "state": "CA"
        }
      },
      "company": null,
      "created": 1626425119,
      "email": "jenny.rosen@example.com",
      "individual": null,
      "livemode": false,
      "metadata": {},
      "name": "Jenny Rosen",
      "phone_number": "+18008675309",
      "redaction": null,
      "requirements": {
        "disabled_reason": null,
        "past_due": []
      },
      "spending_controls": {
        "allowed_categories": [],
        "blocked_categories": [],
        "spending_limits": [],
        "spending_limits_currency": null
      },
      "status": "active",
      "type": "individual"
    },
    "created": 1626425206,
    "currency": "usd",
    "exp_month": 6,
    "exp_year": 2024,
    "last4": "8693",
    "livemode": false,
    "metadata": {},
    "redaction": null,
    "replaced_by": null,
    "replacement_for": null,
    "replacement_reason": null,
    "shipping": null,
    "spending_controls": {
      "allowed_categories": null,
      "blocked_categories": null,
      "spending_limits": [
        {
          "amount": 50000,
          "categories": [],
          "interval": "daily"
        }
      ],
      "spending_limits_currency": "usd"
    },
    "status": "active",
    "type": "virtual",
    "wallets": {
      "apple_pay": {
        "eligible": true,
        "ineligible_reason": null
      },
      "google_pay": {
        "eligible": true,
        "ineligible_reason": null
      },
      "primary_account_identifier": null
    }
  },
  "cardholder": "ich_1JDmfb2eZvKYlo2CwHUgaAxU",
  "created": 1630657706,
  "currency": "usd",
  "livemode": false,
  "merchant_amount": 382,
  "merchant_currency": "usd",
  "merchant_data": {
    "category": "computer_software_stores",
    "category_code": "5734",
    "city": "SAN FRANCISCO",
    "country": "US",
    "name": "STRIPE",
    "network_id": "1234567890",
    "postal_code": "94103",
    "state": "CA"
  },
  "metadata": {
    "order_id": "6735"
  },
  "network_data": null,
  "pending_request": null,
  "redaction": null,
  "request_history": [
    {
      "amount": 382,
      "amount_details": {
        "atm_fee": null
      },
      "approved": false,
      "created": 1630657706,
      "currency": "usd",
      "merchant_amount": 382,
      "merchant_currency": "usd",
      "reason": "verification_failed",
      "reason_message": null
    }
  ],
  "status": "closed",
  "transactions": [],
  "verification_data": {
    "address_line1_check": "not_provided",
    "address_postal_code_check": "not_provided",
    "cvc_check": "mismatch",
    "expiry_check": "match"
  },
  "wallet": null
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- `amount` (integer)
  The total amount that was authorized or rejected. This amount is in `currency` and in the [smallest currency unit](https://docs.stripe.com/currencies.md#zero-decimal). `amount` should be the same as `merchant_amount`, unless `currency` and `merchant_currency` are different.

- [`amount_details`](https://docs.stripe.com/api/issuing/authorizations/object.md?query=amount_details) (object, nullable)
  Detailed breakdown of amount components. These amounts are denominated in `currency` and in the [smallest currency unit](https://docs.stripe.com/currencies.md#zero-decimal).

- `approved` (boolean)
  Whether the authorization has been approved.

- `authorization_method` (enum)
  How the card details were provided.
Possible enum values:
  - `chip`
    The card was physically present and inserted into a chip-enabled terminal. The transaction is cryptographically secured.

  - `contactless`
    The card was present and tapped on a contactless-enabled terminal. If a digital wallet copy of the card was used, the wallet field will be present.

  - `keyed_in`
    The card number was manually entered into a terminal. Card presence is unknown and will be set to nil in testmode, but livemode values will depend on the actual card presence at the time of the transaction

  - `online`
    The card was used in a card-not-present scenario, such as a transaction initiated at an online e-commerce checkout.

  - `swipe`
    The card was physically present and swiped in a terminal.

- [`balance_transactions`](https://docs.stripe.com/api/issuing/authorizations/object.md?query=balance_transactions) (array of objects)
  List of balance transactions associated with this authorization.

- [`card`](https://docs.stripe.com/api/issuing/authorizations/object.md?query=card) (object)
  Card associated with this authorization.

- `card_presence` (enum, nullable)
  Whether the card was present at the point of sale for the authorization.
Possible enum values:
  - `not_present`
    The card was not present at the point of sale.

  - `present`
    The card was present at the point of sale.

- `cardholder` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  The cardholder to whom this authorization belongs.

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- `currency` (enum)
  The currency of the cardholder. This currency can be different from the currency presented at authorization and the `merchant_currency` field on this authorization. Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

- [`fleet`](https://docs.stripe.com/api/issuing/authorizations/object.md?query=fleet) (object, nullable)
  Fleet-specific information for authorizations using Fleet cards.

- [`fraud_challenges`](https://docs.stripe.com/api/issuing/authorizations/object.md?query=fraud_challenges) (array of objects, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  Fraud challenges sent to the cardholder, if this authorization was declined for fraud risk reasons.

- [`fuel`](https://docs.stripe.com/api/issuing/authorizations/object.md?query=fuel) (object, nullable)
  Information about fuel that was purchased with this transaction. Typically this information is received from the merchant after the authorization has been approved and the fuel dispensed.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- `merchant_amount` (integer)
  The total amount that was authorized or rejected. This amount is in the `merchant_currency` and in the [smallest currency unit](https://docs.stripe.com/currencies.md#zero-decimal). `merchant_amount` should be the same as `amount`, unless `merchant_currency` and `currency` are different.

- `merchant_currency` (enum)
  The local currency that was presented to the cardholder for the authorization. This currency can be different from the cardholder currency and the `currency` field on this authorization. Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

- [`merchant_data`](https://docs.stripe.com/api/issuing/authorizations/object.md?query=merchant_data) (object)
  Details about the seller (grocery store, e-commerce website, etc.) where the card authorization happened.

- `metadata` (map)
  Set of [key-value pairs](https://docs.stripe.com/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

- [`network_data`](https://docs.stripe.com/api/issuing/authorizations/object.md?query=network_data) (object, nullable)
  Details about the authorization, such as identifiers, set by the card network.

- [`pending_request`](https://docs.stripe.com/api/issuing/authorizations/object.md?query=pending_request) (object, nullable)
  The pending authorization request. This field will only be non-null during an `issuing_authorization.request` webhook.

- [`request_history`](https://docs.stripe.com/api/issuing/authorizations/object.md?query=request_history) (array of objects)
  History of every time a `pending_request` authorization was approved/declined, either by you directly or by Stripe (e.g. based on your spending_controls). If the merchant changes the authorization by performing an incremental authorization, you can look at this field to see the previous requests for the authorization. This field can be helpful in determining why a given authorization was approved/declined.

- `status` (enum)
  The current status of the authorization in its lifecycle.
Possible enum values:
  - `closed`
    The authorization was declined or [captured](https://docs.stripe.com/issuing/purchases/transactions.md) through one or more [transactions](https://docs.stripe.com/api/issuing/authorizations/object.md#issuing_authorization_object-transactions).

  - `expired`
    The authorization was expired without capture.

  - `pending`
    The authorization was created and is awaiting approval or was approved and is awaiting [capture](https://docs.stripe.com/issuing/purchases/transactions.md).

  - `reversed`
    The authorization was reversed by the merchant.

- `token` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  [Token](https://docs.stripe.com/api/issuing/tokens/object.md) object used for this authorization. If a network token was not used for this authorization, this field will be null.

- [`transactions`](https://docs.stripe.com/api/issuing/authorizations/object.md?query=transactions) (array of objects)
  List of [transactions](https://docs.stripe.com/api/issuing/transactions.md) associated with this authorization.

- [`verification_data`](https://docs.stripe.com/api/issuing/authorizations/object.md?query=verification_data) (object)
  Verifications that Stripe performed on information that the cardholder provided to the merchant.

- `verified_by_fraud_challenge` (boolean, nullable)
  Whether the authorization bypassed fraud risk checks because the cardholder has previously completed a fraud challenge on a similar high-risk authorization from the same merchant.

- `wallet` (string, nullable)
  The digital wallet used for this transaction. One of `apple_pay`, `google_pay`, or `samsung_pay`. Will populate as `null` when no digital wallet was utilized.
